GraphLayoutCacheEvent (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.event.GraphLayoutCacheEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Class GraphLayoutCacheEvent

    java.lang.Object
      java.util.EventObject
          org.jgraph.event.GraphLayoutCacheEvent

All Implemented Interfaces:
  Serializable

public class GraphLayoutCacheEvent
extends EventObject

Encapsulates information describing changes to a graph layout cache, and is used to notify graph layout cache listeners of the change. Note that graph layout cache events do not repeat information in graph model events if there is no view specific information. The idea of this event is to provide information on what has changed in the graph layout cache only.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `GraphLayoutCacheEvent.GraphLayoutCacheChange` Defines the interface for objects that may be used to represent a change to the graph layout cache.

Field Summary
`protected GraphLayoutCacheEvent.GraphLayoutCacheChange` | `change` The object that constitutes the change.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphLayoutCacheEvent(Object source, GraphLayoutCacheEvent.GraphLayoutCacheChange change)` Used to create an event when cells have been changed, inserted, or removed, identifying the change as a GraphLayoutCacheChange object.

Method Summary
`GraphLayoutCacheEvent.GraphLayoutCacheChange` | `getChange()` Returns the object that constitutes the change.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### change

    protected GraphLayoutCacheEvent.GraphLayoutCacheChange change

  The object that constitutes the change.

Constructor Detail

### GraphLayoutCacheEvent

    public GraphLayoutCacheEvent(Object source,
                                 GraphLayoutCacheEvent.GraphLayoutCacheChange change)

  Used to create an event when cells have been changed, inserted, or removed, identifying the change as a GraphLayoutCacheChange object.

Parameters:
  `source` - the Object responsible for generating the event (typically the creator of the event object passes `this` for its value)
  `change` - the object that describes the change

Method Detail

### getChange

    public GraphLayoutCacheEvent.GraphLayoutCacheChange getChange()

  Returns the object that constitutes the change.

  Returns:
    the object that constitutes the change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.